function AoL(id,cikti,hedef) {
	var aktifform  = document.getElementById(id);
	var ekranayaz  = document.getElementById(cikti);
	var ciktiver   = new String("");
	var name, value;
		for(var I = 0; I < aktifform.elements.length; I++){
			name  = aktifform.elements[I].name;
			value = aktifform.elements[I].value;
			ciktiver += escape(name) +'='+ encodeURIComponent(value) +'&';
		}
	var nesneiste = new yeni_nesne();
		nesneiste.open("post", hedef, true);
		nesneiste.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=utf-8");
		nesneiste.send(ciktiver);
		nesneiste.onreadystatechange = function() {
			if (nesneiste.readyState == 4 && nesneiste.status == 200) {
				ekranayaz.innerHTML = nesneiste.responseText;
					// Comment Form Result
					if (ekranayaz.innerHTML == 'warning')		{ warning(ekranayaz,aktifform); } // General Warning Message
					if (ekranayaz.innerHTML == 'complate')		{ complate(ekranayaz,aktifform); } // General Complate Message
					if (ekranayaz.innerHTML == 'okey')			{ okey(ekranayaz,aktifform); } // Only Administrator Login Area
					if (ekranayaz.innerHTML == 'error-comment')	{ errorcomment(ekranayaz,aktifform); } // Only Comment Area
					if (ekranayaz.innerHTML == 'error')			{ error(ekranayaz,aktifform); } // General Error Alert
					
					
					if (ekranayaz.innerHTML == 'admin-warning')	{ adminwarning(ekranayaz,aktifform); } // General Warning Message
					if (ekranayaz.innerHTML == 'admin-error')	{ adminerror(ekranayaz,aktifform); } // General Warning Message
					if (ekranayaz.innerHTML == 'admin-okey')	{ adminokey(ekranayaz,aktifform); } // General Warning Message
					
					if (ekranayaz.innerHTML == 'this-warning')	{ thiswarning(ekranayaz,aktifform); } // General Warning Message
					if (ekranayaz.innerHTML == 'this-error')	{ thiserror(ekranayaz,aktifform); } // General Warning Message
					if (ekranayaz.innerHTML == 'this-okey')	    { thisokey(ekranayaz,aktifform); } // General Warning Message

			}
			else { ekranayaz.innerHTML = ''; }
		}
	return false;
}

function adminwarning(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="alert"><strong>Geçersiz sorgulama;</strong><br />İşlem gerçekleştirilemedi.</p>';
	}
function adminerror(yaz,id) {
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="alert"><strong>Geçersiz sorgulama;</strong><br />İşlem gerçekleştirilemedi.</p>';
	}
function adminokey(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="okey"><strong>Tebrikler;</strong><br />İşlem tamamlandı.</p>';
	}


function thiswarning(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="alert" style="margin: 0 0 -10px !important;"><strong>Geçersiz sorgulama;</strong><br />İşlem gerçekleştirilemedi.</p>';
	}
function thiserror(yaz,id) {
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="alert" style="margin: 0 0 -10px !important;"><strong>Geçersiz sorgulama;</strong><br />İşlem gerçekleştirilemedi.</p>';
	}
function thisokey(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="okey" style="margin: 0 0 -10px !important;"><strong>Tebrikler;</strong><br />İşlem tamamlandı.</p>';
	}


function warning(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="alert"><strong>Geçersiz sorgulama;</strong><br />Sistem, veritabanı işlevine zarar verebilecek bir durum tespit edildiğinden, güvenlik duvarı devreye girerek işleminizi pasif duruma getirmiştir. Lütfen daha sonra deneyiniz.</p>';
	}

function okey(yaz,id) {
	window.location.reload(false);
	window.location = '#admin';
	document.getElementById('yonet').style.display = 'none';
	id.style.display = 'none';
	yaz.style.display = 'none';
	document.getElementById('admin').style.display = 'block';
	}

function complate(yaz,id) {
	id.style.display = 'none';
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="okey"><strong>Tebrikler sayın ziyaretçi;</strong><br />İşleminiz başarıyla gerçekleştirilmiştir. En kısa sürede bilgileriniz sisteme dahil edilecektir.</p>';
	}
	
function errorcomment(yaz,id) {
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="error"><strong>Oluşan hatadan dolayı işlem yütülemedi;</strong><br />Form bilgilerinde gerekli alanların doldurulmadığı tespit edildi, lütfen kontrol ediniz.</p>';
	setTimeout("isleyici('http://localhost/create-security.asp','security')",1);
	}
	
function error(yaz,id) {
	yaz.style.display = 'block';
	yaz.innerHTML = '<p class="error"><strong>Oluşan hatadan dolayı işlem yütülemedi;</strong><br />Form bilgilerinde gerekli alanların doldurulmadığı tespit edildi, lütfen kontrol ediniz.</p>';
	}